summaryrefslogtreecommitdiffstats
path: root/network/p0f/p0f.SlackBuild
diff options
context:
space:
mode:
author David Spencer <nobbutl@yahoo.co.uk>2010-05-13 00:37:47 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:37:47 +0200
commit7d32b39cd39d1c063243c95defc9622e156fc74d (patch)
treef268cd2340c36ec6ecf6c5c0245b190366582566 /network/p0f/p0f.SlackBuild
parent1431b119d004f207b0c0bb51e81f0302f54c623a (diff)
downloadslackbuilds-7d32b39cd39d1c063243c95defc9622e156fc74d.tar.gz
slackbuilds-7d32b39cd39d1c063243c95defc9622e156fc74d.tar.xz
network/p0f: Updated for version 2.0.8
Diffstat (limited to 'network/p0f/p0f.SlackBuild')
-rw-r--r--network/p0f/p0f.SlackBuild12
1 files changed, 9 insertions, 3 deletions
diff --git a/network/p0f/p0f.SlackBuild b/network/p0f/p0f.SlackBuild
index b59b2db3ac..67a3cc9016 100644
--- a/network/p0f/p0f.SlackBuild
+++ b/network/p0f/p0f.SlackBuild
@@ -7,13 +7,12 @@
# Modified by the SlackBuilds.org project
# Assumed to be public domain per our submission policy
-set -e
-
PRGNAM=p0f
VERSION=2.0.8
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -21,10 +20,17 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -60,4 +66,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}